com.mysql.cj.protocol

## Interface ResultsetRow

All Superinterfaces:
  ProtocolEntity, Row

    public interface ResultsetRow
    extends Row, ProtocolEntity

Classes that implement this interface represent one row of data from the MySQL server that might be stored in different ways depending on whether the result set was streaming (so they wrap a reusable packet), or whether the result set was cached or via a server-side cursor (so they represent a byte[][]). Notice that no bounds checking is expected for implementors of this interface, it happens in ResultSetImpl.

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `isBinaryEncoded()`

### Methods inherited from interface com.mysql.cj.result.Row

`getBytes, getNull, getValue, setBytes, setMetadata, wasNull`

### Method Detail

#### isBinaryEncoded

    default boolean isBinaryEncoded()

Copyright © 2016, 2026, Oracle and/or its affiliates.